package org.nl.acs.device_driver.driver;

import lombok.Data;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.DeviceDriverDefination;

@Data
public class AbstractDeviceDriver implements DeviceDriver {

    public Device device;
    private DeviceDriverDefination driverDefination;
    private boolean stop = false;


    public AbstractDeviceDriver() {
//        this.execute_log = new BusinessLoggerImpl(BusinessDomain.device_execute.name());
//        this.device_log = BusinessLoggerFactory.getNoRepeatBusinessLogger(BusinessDomain.device_execute.name());

    }

    @Override
    public Device getDevice() {
        return this.device;
    }


    @Override
    public DeviceDriverDefination getDriverDefination() {
        return this.driverDefination;
    }

    @Override
    public DeviceDriver setDriverDefination(DeviceDriverDefination var1) {
        this.driverDefination = driverDefination;
        return this;
    }

    public DeviceDriver setDevice(Device device) {
        this.device = device;
        return this;
    }

    @Override
    public String toString() {
        return "";
    }
}
